import com.imsl.chart.*;
import com.imsl.chart.qc.*;

public class SampleCuSumStatus extends JFrameChart {        
    public SampleCuSumStatus() {
        double expectedMean = 10;
        double slackValue = 0.5;
        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        CuSumStatus cusumStatus =
            new CuSumStatus(axis, SampleEWMA.data, expectedMean, slackValue);
        cusumStatus.setRelativeH(4);
        cusumStatus.print();
        
        axis.getAxisX().getAxisTitle().setTitle("Sample Number");
        axis.getAxisX().getAxisLabel().setTextFormat("0");
        axis.getAxisY().getAxisTitle().setTitle("C+ / C-");
        
        axis.getAxisX().setWindow(0, 30);
        axis.getAxisX().setAutoscaleInput(0);
        
        cusumStatus.addDataMarkers();
        cusumStatus.getDataMarkers().setMarkerSize(0.5);
        cusumStatus.getDataMarkers().setMarkerColor("blue");
        Axis1D axisY = cusumStatus.getDataMarkersAxis().getAxisY();
        axisY.getAxisTitle().setTitle("Original Data");
    }
        
    public static void main(String argv[]) {
        new SampleCuSumStatus().setVisible(true);
    }
}